org.springframework.web.reactive.resource

## Class GzipResourceResolver

- java.lang.Object
- - org.springframework.web.reactive.resource.AbstractResourceResolver
  - - org.springframework.web.reactive.resource.GzipResourceResolver

- All Implemented Interfaces:
    ResourceResolver

  Deprecated.
  as of 5.1, in favor of using `EncodedResourceResolver`

      @Deprecated
      public class GzipResourceResolver
      extends AbstractResourceResolver

  A `ResourceResolver` that delegates to the chain to locate a resource and then attempts to find a variation with the ".gz" extension.

  The resolver gets involved only if the "Accept-Encoding" request header contains the value "gzip" indicating the client accepts gzipped responses.

  Since:
    5.0
  Author:
    Rossen Stoyanchev

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.reactive.resource.AbstractResourceResolver

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipResourceResolver()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected reactor.core.publisher.Mono<Resource>` | `resolveResourceInternal(ServerWebExchange exchange, String requestPath, List<? extends Resource> locations, ResourceResolverChain chain)` Deprecated.
    `protected reactor.core.publisher.Mono<String>` | `resolveUrlPathInternal(String resourceUrlPath, List<? extends Resource> locations, ResourceResolverChain chain)` Deprecated.

    - ### Methods inherited from class org.springframework.web.reactive.resource.AbstractResourceResolver

      `resolveResource, resolveUrlPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GzipResourceResolver

          public GzipResourceResolver()

      Deprecated.

  - ### Method Detail

    - #### resolveResourceInternal

          protected reactor.core.publisher.Mono<Resource> resolveResourceInternal(@Nullable
                                                                                  ServerWebExchange exchange,
                                                                                  String requestPath,
                                                                                  List<? extends Resource> locations,
                                                                                  ResourceResolverChain chain)

      Deprecated.
      Specified by:
        `resolveResourceInternal` in class `AbstractResourceResolver`

    - #### resolveUrlPathInternal

          protected reactor.core.publisher.Mono<String> resolveUrlPathInternal(String resourceUrlPath,
                                                                               List<? extends Resource> locations,
                                                                               ResourceResolverChain chain)

      Deprecated.
      Specified by:
        `resolveUrlPathInternal` in class `AbstractResourceResolver`